List Sites
get
/public/v1/sitesfilter[search]stringPartial match on the site name.
Example:Lodgepage[size]integerNumber of results per page. Minimum 1, maximum 100.
Default:25page[number]integerThe page number to retrieve. Use the
last_pagevalue from themetaresponse to determine the total number of pages available.Default:1
Response
200application/jsonPaginated set of SiteResource
dataobject[]required▶Show 11 child attributesHide child attributes
idstringrequiredExample:s1a2b3c4-d5e6-47f8-9a0b-1c2d3e4f5a6bnamestringrequiredExample:Main Street HousetypestringrequiredExample:sil_housedefault_support_typestring | nullrequiredExample:community_accessdescriptionstring | nullrequiredExample:A supported independent living housecapacityinteger | nullrequiredExample:4addressobject | nullrequired▶Show 11 child attributesHide child attributes
idstringrequiredExample:a1d2d3r4-e5s6-47s8-9a0b-1c2d3e4f5a6baddress_1stringrequiredExample:12 Harbour View Driveaddress_2string | nullrequiredExample:Unit 4suburbstring | nullrequiredExample:Lavender BaystatestringrequiredExample:NSWpostcodestringrequiredExample:2060countrystringrequiredExample:Australialatstring | nullrequiredExample:-33.8447lngstring | nullrequiredExample:151.2094traditional_place_namestring | nullrequiredExample:Gadigal Countrydetailsstring | nullrequiredExample:Enter via the side gate
site_managerobject | nullrequired▶Show 3 child attributesHide child attributes
idstringrequiredExample:u1s2e3r4-a5b6-47c8-9d0e-1f2a3b4c5d6enamestringrequiredExample:John DoeemailstringrequiredExample:john.doe@example.com
tagsobject[]required▶Show 4 child attributesHide child attributes
idstringrequiredExample:s1i2t3e4-t5a6-47g8-9b0c-1d2e3f4a5b6cnamestringrequiredExample:Vacancycolourstring | nullrequiredExample:#e30425created_atstringrequiredExample:2024-01-15T10:30:00+00:00
archived_atstring | nullrequiredExample:2024-06-01T00:00:00+00:00created_atstringrequiredExample:2024-01-15T10:30:00+00:00
metaobjectrequired▶Show 5 child attributesHide child attributes
current_pageintegerrequired≥ 1last_pageintegerrequired≥ 1per_pageintegerrequired≥ 0Number of items shown per page.
totalintegerrequired≥ 0Total number of items being paginated.
allowed_sortsstring[]requiredThe list of allowed sorts for this endpoint.
401Unauthenticated403Authorization error